class Quiz
    
    def initialize (&block)
        @lista = Lista.new()
        
        if block_given?
            if block.arity == 1
                yield self
            else
                instance_eval &block
            end
        end
    
        @examen = Examen.new(@lista)
    end
    
    def to_s
        @examen.to_s
    end
    
    def questionS (pregunta, respuesta = {})
        preg = PreguntaS.new(pregunta)
        count = 1
        respuesta.each do |key, val|
            preg.addr(val)
            if key
                count += 1
            else
                preg.correcta = count
            end
        end
        
        @lista.addn(preg)
    end

    def questionVF (pregunta, respuesta)
        preg = PreguntaVF.new(pregunta)

        preg.correcta = respuesta
        
        @lista.addn(preg)
    end
    
end