# -*- coding: utf-8 -*-

#Clase examen, que contiene una lista de preguntas 
#y permite la realización de un exámen tipo test con las mismas.
class Examen
	attr_reader :nota
	
#Constructor.
	def initialize (lista)
        lista.ordenar
		@preguntas = lista
        @nota = 0
#inicializamos un array con 0 elementos para las respuestas
	end

#Método que devuelve el examen como un String.
	def to_s
        aux = @preguntas.head
        respuesta = ""
        respuesta += aux.value.to_s
        respuesta += "\n"
        while (aux != @preguntas.tail) do
            aux = aux.next
            respuesta += aux.value.to_s
            respuesta += "\n"
        end
        respuesta
	end
        
        
    def inverso
        respuesta = ""
        @preguntas.reverse_each{|x,y| respuesta += "#{x.value.to_s}\n"}
        respuesta
    end
	
#Método que permite la realización del exament de forma interactiva.
	def hacer_examen
	    score = 0
        @preguntas.each do |preg|
            puts preg.to_s
            resp = gets.chomp
            this = preg.value.resp_correcta?(resp)
            if (this == true)
                score += 1 
                puts "Respuesta correcta"
            else
                puts "Respuesta incorrecta"
            end
        end
        puts "Puntuacion: " + score
	end
	
#Método que comprueba las respuestas tomando un Array de respuestas.
#Sirve para la comprobación no interactiva de las respuestas.
    def hacer_examen(respuestas)
	    score = 0
	    contador = 0
	    @preguntas.each do |preg|
	        resp = respuestas[contador]
            this = preg.value.resp_correcta?(resp)
            if (this == true)
                score += 1 
            end
	        contador += 1
	   end
	   return score
    end
end
