# -*- coding: utf-8 -*-

#Clase base de las preguntas. No contiene respuestas.
class Pregunta
    attr_reader :pr, :df 
    attr_accessor :correcta

    include Comparable
    
#Método constructor
	def initialize(pregunta, dificultad)
		@pr = pregunta
        @df = dificultad
        @correcta = nil #debe modificarse; int que refiere a pos en Array de pr. 
	end
    
#Método de comparación (se fija en la dificultad)
    def <=> (other)
        @df <=> other.df
    end

#Evitamos que se consideren iguales dos preguntas cualquiera
#sólo porque tengan la misma dificultad.
#Esto es una sobrecarga del método de comparación.
    def == (other)
        @pr == other.pr && @df == other.df
    end

#Método que contrasta la respuesta entregada (por parámetro)
#con el atributo que señala la respuesta correcta.
	def resp_correcta?(resp)
		if resp.to_i != 0
#sera numero, lo pasamos a int.
			resp = resp.to_i
		else
#sera String, admitimos mayus y minus.
			resp.upcase!
		end
		
		if resp == @correcta
			true
		else
			false
		end
	end

end
